Update subscriber's custom attributes
Update the custom attributes of an SMS subscriber identified by phone number. Only the custom attributes included in the request are modified; attributes that are not provided remain unchanged.
patch
Authorizations
X-Recart-API-KeystringRequired
It can be obtained in Recart account after contacting Support
Query parameters
phoneNumberstringRequired
Phone number of the subscriber
Body
Responses
204
No content
No content
4XX
HTTP Error response
application/vnd.api+json
5XX
HTTP Error response
application/vnd.api+json
patch/subscribers
PATCH /app-integrations/2023-12/subscribers?phoneNumber=text HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 199
{
"data": {
"type": "subscribers",
"attributes": {
"customAttributes": {
"loyalty_tier": "gold",
"lifetime_orders": 7,
"vip": true,
"last_review_at": "2026-06-01T10:00:00Z",
"favorite_categories": [
"shoes",
"bags"
]
}
}
}
}No content
Last updated
Was this helpful?